Create a DID
Create a did:cheqd Decentralized Identifier (DID) using the ACA-Py Agent.
Create DID
Body
featuresobjectOptionalExample:
Additional features to enable for the did.
{}optionsobjectOptionalExample:
Additional configuration options
{"key_type":"ed25519","method_specific_id_algo":"uuid","network":"testnet"}Responses
200Success
application/json
didstringOptionalExample:
DID created
did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86didStateobjectOptionalExample:
The published didState
{"did":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86","didDocument":{"authentication":["did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86#key-1"],"controller":["did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86"],"id":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86","verificationMethod":[{"id":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86#key-1","type":"Ed25519VerificationKey2020","controller":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86","publicKeyMultibase":"z6Mk..."}]},"secret":{"signingResponse":[{"kid":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86#key-1","signature":"SHFz..."}]},"state":"finished"}successbooleanOptionalExample:
Flag to denote if the operation was successful
trueverkeystringOptionalExample:
Verification key
BnSWTUQmdYCewSGFrRUhT6LmKdcCcSzRGqWXMPnEP168post
/did/cheqd/create200Success
Request Body
List DIDs associated with your wallet
Query parameters
didstringOptionalExample:
DID of interest
{"value":"did:peer:WgWxqztrNooG92RXvxSTWv"}Pattern: ^(did:sov:)?[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{21,22}$|^did:([a-zA-Z0-9_]+)(:[a-zA-Z0-9_.%-]+)?:([a-zA-Z0-9_.%-]+(:[a-zA-Z0-9_.%-]+)*)((;[a-zA-Z0-9_.:%-]+=[a-zA-Z0-9_.:%-]*)*)(\/[^#?]*)?([?][^#]*)?(\#.*)?$$key_typestring · enumOptionalExample:
Key type to query for.
{"value":"ed25519"}Possible values: methodstringOptionalExample:
DID method to query for. e.g. sov to only fetch indy/sov DIDs
{"value":"key"}posturestring · enumOptionalExample:
Whether DID is current public DID, posted to ledger but current public DID, or local to the wallet
{"value":"wallet_only"}Possible values: verkeystringOptionalExample:
Verification key of interest
{"value":"H3C2AVvLMv6gmMNam3uVAjZpfkcJCwDwnZn6z3wXmqPV"}Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{43,44}$Responses
200Success
application/json
get
/wallet/did200Success
Last updated
Was this helpful?